Python
invoice = niadra.object_state("invoice:erp:0823")
if invoice:
print(invoice.state, invoice.as_of)const { data: invoice } = await niadra.objectState("invoice:erp:0823");
if (invoice) console.log(invoice.state, invoice.as_of);curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/objects/{object_type}/{namespace}/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/objects/{object_type}/{namespace}/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ref": {
"type": "invoice",
"namespace": "erp",
"id": "0823"
},
"state": {
"status": "credited",
"amount_due": 49.9,
"currency": "USD"
},
"as_of": "2026-09-22T17:06:21Z",
"source_id": "src_erp",
"record_ref": "erp://invoices/0823",
"open_items": []
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Objects
Read an object
Derived state of an order, ticket or invoice, with its open items.
GET
/
v1
/
objects
/
{object_type}
/
{namespace}
/
{external_id}
Python
invoice = niadra.object_state("invoice:erp:0823")
if invoice:
print(invoice.state, invoice.as_of)const { data: invoice } = await niadra.objectState("invoice:erp:0823");
if (invoice) console.log(invoice.state, invoice.as_of);Authorizations
nia_sk_...
Path Parameters
The id in the system of record. It may contain slashes.
Response
The object.
A business object in a system of record, e.g. invoice / erp / 0823.
Show child attributes
Show child attributes
Derived state. The official value stays in the system of record.
Show child attributes
Show child attributes
Reference to the source record.

